6.0.0-git
2019-12-07

[#101] Editing Addressbook Entry
Summary Editing Addressbook Entry
Queue Turba
Queue Version 2.0-ALPHA
Type Bug
State Resolved
Priority 1. Low
Owners
Requester mail (at) avenuedesign (dot) net
Created 2004-04-22 (5707 days ago)
Due
Updated 2004-05-28 (5671 days ago)
Assigned
Resolved 2004-05-21 (5678 days ago)
Milestone
Patch No

History
2004-05-28 04:36:50 mail (at) avenuedesign (dot) net Comment #3 Reply to this comment
I had auto login set in the horde prefs. Sorry this is not a bug.
2004-05-21 09:39:51 Jan Schneider Comment #2
State ⇒ Resolved
Priority ⇒ 1. Low
Reply to this comment
This is the correct behaviour. You can only edit entries that you own 
even if the source is not read-only.
2004-04-22 02:35:35 mail (at) avenuedesign (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Queue ⇒ Turba
Reply to this comment
I am able to add addressbook entries to a shared Addressbook with no 
trouble. However when viewing the entry I do not get the edit/delete 
controls.



I have found that adjusting the sources.php options to 'public' => 
true, 'readonly' => false, on the addressbook does not have any 
effect. Setting the user to an admin in sources.php also does not have 
any effect. However if I add the user into the admins section into 
horde/config/conf.php I can then edit/delete contacts properly.



My sources.php follows:



$cfgSources['sharedldap'] = array(

      'title' => _("Shared Test Directory"),

      'type' => 'ldap',

      'params' => array(

      'server' => 'localhost',

      'port' => 389,

      'root' => 'ou=SharedTest,dc=domainname',

      'bind_dn' => 'cn=miAdmin,dc=domainname',

      'bind_password' => 'password',

      'sizelimit' => 200,

      'dn' => array('uid'),

      'objectclass' => array('top', 'person', 'inetOrgPerson'),

      //'objectclass' => array('top', 'person', 'inetOrgPerson',

         //'zillaPerson'),

      'charset' => 'utf-8',

      'version' => 3

      ),



      'map' => array(

      '__key' => 'dn',

      'name' => array('fields' => array('firstname', 'lastname'), 
'format' => '%s %s'),

      'firstname' => 'givenName',

      'lastname' => 'sn',

      'company' => 'o',

      'email' => 'mail',

      'homePhone' => 'homephone',

      'workPhone' => 'telephonenumber',

      'fax' => 'facsimiletelephonenumber',

      'cellPhone' => 'mobile',

      'homeAddress' => 'homepostaladdress',

      'street' => 'postaladdress',

      'locality' => 'l',

      'state' => 'st',

      'postcode' => 'postalcode',

      'country' => 'c',

      'notes' => 'comment'

      ),

         'search' => array(

         'name',

         'email',

         'homePhone',

         'workPhone',

         'cellPhone',

         'homeAddress'

     ),

     'strict' => array(

         'dn',

     ),

     'public' => true,

     'readonly' => false,

     //'admin' => array('edm'),

     'export' => true

);




Saved Queries